* {
    margin: 0;
    padding: 0;
}

.main {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    min-height: 96vh;
    background-color: hsl(0, 0%, 95%);
}

.card-container {
    display: flex;
    flex-direction: row;
}

.card {
    display: flex;
    flex-direction: column;
    height: 500px;
    width: 306px;
}

.card:nth-child(1) {
    background-color: hsl(31, 77%, 52%);
    border-radius: 1rem 0 0 1rem;
}

.card:nth-child(2) {
    background-color: hsl(184, 100%, 22%);
}

.card:nth-child(3) {
    background-color: hsl(179, 100%, 13%);
    border-radius: 0 1rem 1rem 0;
}

.card-content {
    height: 100%;
    margin: 45px;
    position: relative;
}

.card__icon {
    height: 42px;
    width: 66px;
}

.card__header {
    font-size: 2em;
    font-family: 'Big Shoulders Display', cursive;
    font-weight: 700;
    color: hsl(0, 0%, 95%);;
    text-transform: uppercase;
    margin: 40px 0;
}

.card__info {
    font-family: 'Lexend Deca', sans-serif;
    font-weight: 400;
    color: hsla(0, 0%, 100%, 0.75);
}

.card__button {
    background-color: hsl(0, 0%, 95%);
    border: 2px solid hsl(0, 0%, 95%);
    border-radius: 2em;
    font-family: 'Lexend Deca', sans-serif;
    font-weight: 400;
    height: 48px;
    width: 146px;
    position: absolute;
    bottom: 0;
}

.card:nth-child(1) .card__button {
    color: hsl(31, 77%, 52%);
}

.card:nth-child(2) .card__button {
    color: hsl(184, 100%, 22%);
}

.card:nth-child(3) .card__button {
    color: hsl(179, 100%, 13%);
}

.card:nth-child(1) .card__button:hover {
    color: hsl(0, 0%, 95%);
    cursor: pointer;
    background-color: hsl(31, 77%, 52%);
}

.card:nth-child(2) .card__button:hover {
    cursor: pointer;
    color: hsl(0, 0%, 95%);
    background-color: hsl(184, 100%, 22%);
}

.card:nth-child(3) .card__button:hover {
    cursor: pointer;
    color: hsl(0, 0%, 95%);
    background-color: hsl(179, 100%, 13%);
}

.footer {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    font-size: 11px;
    min-height: 4vh;
}

@media screen and (max-width: 1023px) {
    .card-container {
        flex-direction: column;
    }

    .card:nth-child(1) {
        border-radius: 1rem 1rem 0 0;
    }
    
    .card:nth-child(3) {
        border-radius: 0 0 1rem 1rem;
    }
}